summaryrefslogtreecommitdiffstats
path: root/system/mlterm
diff options
context:
space:
mode:
author Marco Cecchetti2010-05-12 17:45:32 +0200
committer Robby Workman2010-05-12 17:45:32 +0200
commitbcd2d19d54b2559c90cfac24253b53835043b46f (patch)
tree7a05cf09845c8945799876a6c08a9b8606998631 /system/mlterm
parent42963326e0c86556ccfb590c0f5e625b77c0b1e7 (diff)
downloadslackbuilds-bcd2d19d54b2559c90cfac24253b53835043b46f.tar.gz
system/mlterm: Updated for version 2.9.4
Diffstat (limited to 'system/mlterm')
-rw-r--r--system/mlterm/README24
-rw-r--r--system/mlterm/mlterm.SlackBuild29
-rw-r--r--system/mlterm/mlterm.info2
-rw-r--r--system/mlterm/slack-desc2
4 files changed, 30 insertions, 27 deletions
diff --git a/system/mlterm/README b/system/mlterm/README
index d4a512d88e..caf02e4fe4 100644
--- a/system/mlterm/README
+++ b/system/mlterm/README
@@ -1,17 +1,11 @@
-mlterm is a multilingual X11 terminal emulator. It supports
-different character sets, encondings and complex characters.
+mlterm is a multilingual X11 terminal emulator. It supports different
+character sets, automatic selection of proper enconding, complex
+characters such as double width for East Asian and bi-direction for
+Arabic and Hebrew.
-mlterm is optionally dependent upon the following libraries:
+For ISCII rendering mlterm is dependent upon the libind library.
+To compile the package with libind support add "--enable-ind"
+to the configure options in the build script.
-- fribidi (for bidirectional rendering)
-http://freedesktop.org/wiki/Software/FriBidi
-
-- libind (for ISCII rendering)
-http://www.rxvt-idev.freeservers.com/
-
-If fribidi and libind have been installed on your system
-you can enable the support by adding the following
-compilation options to mlterm.slackbuild:
-
- --enable-fribidi
- --enable-ind
+To use anti-aliased fonts select XfreeType rather than xcore, run the
+script as follows: FONT_ENGINE=xft ./mlterm.SlackBuild
diff --git a/system/mlterm/mlterm.SlackBuild b/system/mlterm/mlterm.SlackBuild
index a8f5f9c2c8..dc08a338f2 100644
--- a/system/mlterm/mlterm.SlackBuild
+++ b/system/mlterm/mlterm.SlackBuild
@@ -6,9 +6,11 @@
PRGNAM=mlterm
VERSION=${VERSION:-2.9.4}
ARCH=${ARCH:-i486}
-BUILD=${BUILD:-1}
+BUILD=${BUILD:-2}
TAG=${TAG:-_SBo}
+FONT_ENGINE=${FONT_ENGINE:-xcore}
+
CWD=$(pwd)
TMP=${TMP:-/tmp/SBo}
PKG=$TMP/package-$PRGNAM
@@ -22,12 +24,14 @@ elif [ "$ARCH" = "x86_64" ]; then
SLKCFLAGS="-O2 -fPIC"
fi
+set -e
+
rm -rf $PKG
mkdir -p $TMP $PKG $OUTPUT
-cd $TMP || exit 1
+cd $TMP
rm -rf $PRGNAM-$VERSION
-tar xvf $CWD/$PRGNAM-$VERSION.tar.gz || exit 1
-cd $PRGNAM-$VERSION || exit 1
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
chown -R root:root .
find . \
\( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
@@ -41,22 +45,27 @@ CXXFLAGS="$SLKCFLAGS" \
--prefix=/usr \
--sysconfdir=/etc \
--localstatedir=/var \
- --disable-static \
--enable-optimize-redrawing \
--with-imagelib=gdk-pixbuf2 \
- --with-type-engine=xft \
+ --with-type-engines=${FONT_ENGINE} \
--with-libltdl \
- || exit 1
+ --enable-fribidi \
+ --enable-m17nlib \
+ --disable-static \
+ --build=$ARCH-slackware-linux
-make || exit 1
-make install DESTDIR=$PKG || exit 1
+make
+make install DESTDIR=$PKG
( cd $PKG
find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
)
-gzip -9 $PKG/usr/man/man?/*
+( cd $PKG/usr/man
+ find . -type f -exec gzip -9 {} \;
+ for i in $(find . -type l) ; do ln -s $(readlink $i).gz $i.gz ; rm $i ; done
+)
mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
cp -a ABOUT-NLS ChangeLog LICENCE README doc/* $PKG/usr/doc/$PRGNAM-$VERSION
diff --git a/system/mlterm/mlterm.info b/system/mlterm/mlterm.info
index 1952c6eabd..e222615ec8 100644
--- a/system/mlterm/mlterm.info
+++ b/system/mlterm/mlterm.info
@@ -5,4 +5,4 @@ DOWNLOAD="http://downloads.sourceforge.net/mlterm/mlterm-2.9.4.tar.gz"
MD5SUM="67fc33f09da045f86b0d4ceebed76aac"
MAINTAINER="Marco Cecchetti"
EMAIL="mrc.ildp@gmail.com"
-APPROVED="Erik Hanson"
+APPROVED="rworkman"
diff --git a/system/mlterm/slack-desc b/system/mlterm/slack-desc
index ebcd62a712..64e42471e8 100644
--- a/system/mlterm/slack-desc
+++ b/system/mlterm/slack-desc
@@ -8,7 +8,7 @@
|-----handy-ruler------------------------------------------------------|
mlterm: mlterm (X11 multilingual terminal emulator)
mlterm:
-mlterm: It supports various character sets and encodings in the world and
+mlterm: mlterm supports various character sets and encodings in the world and
mlterm: complex characters such as double width for East Asian,
mlterm: combining for Thai, Vietnamese, and so on, and bidirection for Arabic
mlterm: and Hebrew. Indic scripts in ISCII encoding are experimentally